﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

.mainheader {
  background: #e8f5e9;
}

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

  a.lnk-custom {
    outline: none;
    text-decoration: none;
    padding: 2px 1px 0;
  }

    a.lnk-custom:link {
      color: #265301;
    }

    a.lnk-custom:visited {
      color: #437A16;
    }

    a.lnk-custom:focus {
      border-bottom: 1px solid;
      background: #BAE498;
    }

    a.lnk-custom:hover {
      border-bottom: 1px solid;
      background: #CDFEAA;
    }

    a.lnk-custom:active {
      background: #265301;
      color: #CDFEAA;
    }

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}

.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

.btn-primary {
  background-color: #524c00 !important;
  background-repeat: repeat-x;
  background-image: -o-linear-gradient(top, #9E9D24, #524c00);
  background-image: linear-gradient(#9E9D24, #524c00);
  border-color: #9E9D24;
  color: #fff !important;
}

  .btn-primary:hover {
    background-color: #AFB42B !important;
    background-repeat: repeat-x;
    background-image: -o-linear-gradient(top, #9E9D24, #9E9D24);
    background-image: linear-gradient(#9E9D24, #AFB42B);
    color: #fff !important;
    border-color: #AFB42B !important;
  }

.btn-outline-primary {
  border-color: #9E9D24;
  color: #827717;
  outline-color: red !important;
}

  .btn-outline-primary:hover {
    background-color: #AFB42B !important;
    background-repeat: repeat-x;
    background-image: -o-linear-gradient(top, #9E9D24, #9E9D24);
    background-image: linear-gradient(#9E9D24, #AFB42B);
    color: #fff !important;
    border-color: #AFB42B !important;
  }
  .btn-outline-primary:active {
    box-shadow: 0 0 0 0.2rem rgba(213,160,33, 0.5) !important;
  }
    /* HEAD */
    ul .icon-social {
  display: inline-flex
}

  ul.icon-social li {
    list-style: none;
    font-size: 1.5rem
  }

    ul.icon-social li a {
      color: #524c00;
      padding: 0.6rem;
    }

      ul.icon-social li a:hover {
        color: Highlight;
      }

/* MENU PRINCIPAL */
#navbarSupportedContent a {
  background-color: #5a9216;
}

  #navbarSupportedContent a:hover {
    opacity: 0.8;
  }

.menu-active a {
  background-color: #827717 !important;
}
/* MENU VERTICAL */
/*#menuVertical {
  background-color: #b0bec5;
}*/

  #menuVertical li {
    border: solid 1px #808e95;
  }

    #menuVertical li:hover {
      background-color: #eceff1;
    }

.menuVertical-active {
  background-color: #fff;
}

/*CARRUSEL*/
.carousel-item img {
  max-height: 40vh;
}


@media screen and (max-width: 767px) {
  .mobile-space {
    padding-bottom: 2px;
  }
}

/* CSS para posicionar el bade cerca del carrito*/
.cart {
  position: relative;
}

#cart_menu_num {
  position: absolute;
  top: 0;
  left: 55%;
  background: red;
  width: 18px;
  height: 18px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  padding: 2px;
}

.modal-dialog {
  height: 100vh !important;
  display: flex;
}

.modal-content {
  margin: auto !important;
  height: fit-content !important;
}

.required {
  border: solid 1px red;
}

.clsRequeridos {
  color: white;
  padding: 3px 0 3px 0;
  border: solid 1px #c62828;
  background: #ff5f52;
  border-radius: 5px;
}

.required-select {
  border-color: red !important;
}

/*#spinner-div {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  text-align: center;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 2;
}*/

#spinner-div {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.8);
}

/*TARJETAS*/
.cc-selector input {
  margin: 0;
  padding: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

  .cc-selector input:active + .drinkcard-cc {
    opacity: .9;
  }

  .cc-selector input:checked + .drinkcard-cc {
    -webkit-filter: none;
    -moz-filter: none;
    filter: none;
  }

.drinkcard-cc {
  cursor: pointer;
  background-size: contain;
  background-repeat: no-repeat;
  display: inline-block;
  width: 216px;
  height: 70px;
  -webkit-transition: all 100ms ease-in;
  -moz-transition: all 100ms ease-in;
  transition: all 100ms ease-in;
  -webkit-filter: brightness(1.8) grayscale(1) opacity(.7);
  -moz-filter: brightness(1.8) grayscale(1) opacity(.7);
  filter: brightness(1.8) grayscale(1) opacity(.7);
}

  .drinkcard-cc:hover {
    -webkit-filter: brightness(1.2) grayscale(.5) opacity(.9);
    -moz-filter: brightness(1.2) grayscale(.5) opacity(.9);
    filter: brightness(1.2) grayscale(.5) opacity(.9);
  }

.logo-visa {
  background-image: url(../image/tarjetas/Logo-Visa.png);
  width: 70px !important;
  height: 40px !important;
  vertical-align: top;
}

.logo-mastercard {
  background-image: url(../image/tarjetas/Logo-MasterCard.png);
  width: 70px !important;
  height: 40px !important;
  vertical-align: top;
}

.logo-dinners {
  background-image: url(../image/tarjetas/Logo-Dinners.jpg);
  width: 110px !important;
  height: 40px !important;
  vertical-align: top;
}

.logo-amex {
  background-image: url(../image/tarjetas/Logo-Amex.jpg);
  width: 80px !important;
  height: 35px !important;
  vertical-align: top;
}

ul.colors-list {
  list-style: none;
}

  ul.colors-list li {
    display: inline-block;
    padding: 0 0.1rem;
  }

    ul.colors-list li a {
      width: 20px;
      height: 20px;
      display: block;
    }

.tecpeg-menu .nav-link:hover:not(.tab-active) {
  color: #827717 !important;
  background: #F9FBE7;
}

.tab-active {
  background: #AFB42B !important;
  border-color: #9E9D24;
  color: #fff !important;
  font-weight: bold;
}
.tab-inactive {
  color: #827717;
  font-weight: bold;
}
/* COLORES FRAGUA*/
.row-colors p{
  margin-bottom: 0;
}
.card-color{
border-color: #d5d4d0 !important;
}
.div-color{
width: 100px;
height: 100px;
}
.card {
position: relative;
display: flex;
flex-direction: column;
min-width: 0;
word-wrap: break-word;
border: 0 solid rgba(0,0,0,.125);
border-radius: 0.25rem;
background-color: #fff;
background-clip: border-box;    
}
.p-b-60 {
padding-bottom: 40px;
}
.p-t-60 {
padding-top: 40px;
}
.color-blanco{
background-color: #fff;
}
.color-hueso{
background-color: #E3DAC9;
}
.color-crema{
background-color: #F3E5AB;
}
.color-marfil{
background-color: #F3E5AB;
}
.color-arena{
background-color: #c6a664;
}
.color-beige{
background-color: #d1bc8a;
}
.color-cuero{
background-color: #ac7c5c;
}
.color-gris{
background-color: #808080;
}
.color-gris-plata{
background-color: #8a9597;
}
.color-negro{
background-color: #000;
}
.color-marron{
background-color: #804000;
}
.color-azul-pastel{
background-color: #8892c6;
}
.color-rojo{
background-color: #FF0000;
}
.color-lila{
background-color: #C8A2C8;
}
.color-turquesa{
background-color: #5DC1B9;
}
.color-verde-limon{
background-color: #bfff00;
}
.color-madera{
background-color: #eed09d;
}
.color-marmol{
background-color: #e3e0cd;
}
.color-cielo{
background-color: #92c5fc;
}